Is possible PrimeFaces 7 project with Wildfly 26 or I need to upgrade to Primeface 10

UI Components for JSF
Post Reply
seifi
Posts: 5
Joined: 21 Jul 2022, 07:54

05 Oct 2022, 09:13

Is possible PrimeFaces 7 project with Wildfly 26 or I need to upgrade to Primeface 10

I use our project with Wildfly-21. But with Wildfly-26, I can't get the project going.
Is that possible?


I think I need to upgrade our project up to primefaces 10.
Because Wildfly 26+ requires Jackarta EE.
Is my thought correct?

https://primefaces.github.io/primefaces ... rta-jsf-30

jakarta (JSF 3.0)

<dependency>
<groupId>org.primefaces</groupId>
<artifactId>primefaces</artifactId>
<version>10.0.0</version>
<classifier>jakarta</classifier>
</dependency>

Melloware
Posts: 3385
Joined: 22 Apr 2013, 15:48

08 Oct 2022, 00:28

as long as WildFly 26 is javax. and not jakarta. you can use PF7 with it just fine.

Wildfly 26 comes in 2 flavors a EE8 flavor you can use wiht PF7 but if you use the EE 9.1 flavor you have to use the PF 10 "jakarta" version of the JAR.
PrimeFaces Developer | PrimeFaces Extensions Developer
GitHub Profile: https://github.com/melloware
PrimeFaces Elite 12.0.0 / PF Extensions 12.0.1
PrimeReact 8.6.1

Post Reply

Return to “PrimeFaces”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 8 guests